
/**
 * @author Radek Oslejsek
 */
public class Person implements Screeming, Going {
    
    private String name;
    
    private boolean isGoing = false;
    
    /**
     * 
     * @param name Name of the person
     */
    public Person(String name) {      
        this.name = name;
    }
    
    /**
     * Returns name of the person.
     * @return name of the person.
     */
    public String getName() {
        return name;
    }
    
    @Override
    public String toString() {
        return name;
    }

    @Override
    public void writeInfo() {
        System.out.println("Person " + name + 
                ((isGoing) ? " is going" : " is not going"));
    }
    
    @Override
    public void start() {
        isGoing = true;
        writeInfo();
    }
    
    @Override
    public void stop() {
        isGoing = false;
        writeInfo();
    }
    
    @Override
    public void screemInfo() {
        System.out.println("PERSON " + name.toUpperCase() + 
                ((isGoing) ? " IS GOING" : " IS NOT GOOING") + "!!!!");
    }
}
